import httpRequest from '@/utils/axios'

// 上传文件
export function upload(data) {
  return httpRequest({
    url: '/api/alumni/v1/activities/tool/upload-file',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

// 获取热门推荐列表
export function getAttestationStatus() {
  return httpRequest({
    url: '/api/alumni/v1/certification/list',
    method: 'get'
  })
}

// 提交资料
export function submitInfo(data) {
  return httpRequest({
    url: '/api/alumni/v1/certification/add',
    method: 'post',
    data
  })
}

// 撤销
export function revoke(id, data) {
  return httpRequest({
    url: `/api/alumni/v1/certification/change/${id}`,
    method: 'post',
    data
  })
}

// 认证详情
export function getAttestationDetail(id) {
  return httpRequest({
    url: `/api/alumni/v1/certification/detail/${id}`,
    method: 'get'
  })
}

// 上传资料
export function addSubmitStudent(id, data) {
  console.log(id, data)
  return httpRequest({
    url: `/api/alumni/v1/certification/edit/${id}`,
    method: 'post',
    data
  })
}